Skip to main content
GET
Retrieve a check result

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

checkId
string<uuid>
required
Minimum string length: 1
checkResultId
string<uuid>
required
Minimum string length: 1

Response

Successful

resultType
enum<string>
required

The type of result.

Available options:
FINAL,
ATTEMPT,
ALL
traceId
string | null
required

OpenTelemetry trace ID associated with this check result.

id
string

The unique ID of this result.

name
string

The name of the check.

checkId
string

The ID of the check.

hasFailures
boolean

Describes if any failure occurred during this check run.

hasErrors
boolean

Describes if an internal error occurred in Checkly's backend.

isDegraded
boolean | null

Whether the check is over its degradation limit.

isCancelled
boolean

Whether the run was cancelled before completion.

overMaxResponseTime
boolean | null

Whether the response time exceeded its limit.

runLocation
string

What data center location this check result originated from.

startedAt
string<date-time> | null
stoppedAt
string<date-time> | null
created_at
string<date-time>
responseTime
number

Time the check spent producing its result, in milliseconds. For protocol checks this is the measured operation time; for browser, multi-step, Playwright and agentic checks it is the run wall-clock duration.

apiCheckResult
object | null

The response data for an API check.

browserCheckResult
object | null

The response data for a browser check.

multiStepCheckResult
object | null

The response data for a multi-step check.

agenticCheckResult
object | null

The response data for an agentic check.

playwrightCheckResult
object | null

The response data for a Playwright check.

tracerouteCheckResult
object | null

Failure-debug diagnostics for a traceroute check.

grpcCheckResult
object | null

Failure-debug diagnostics for a gRPC check.

sslCheckResult
object | null

Failure-debug diagnostics for an SSL check.

checkRunId
number

The id of the specific check run that created this result.

attempts
number

How often this check was retried.

sequenceId
string<uuid> | null

The sequence ID of the check run.

errorGroupIds
string<uuid>[] | null

IDs of error groups associated with this check result.